import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect, useRef } from "react";
import { Box } from "@primer/react";
import AppAdapter from "./AppAdapter";
export const App = (props) => {
    const ref = useRef(null);
    const { hostId, extensions, mimeExtensions, extensionPromises, mimeExtensionsPromises } = props;
    const [_, setAdapter] = useState();
    useEffect(() => {
        if (ref) {
            const adapter = new AppAdapter({
                hostId,
                extensions,
                mimeExtensions,
                extensionPromises,
                mimeExtensionsPromises,
            });
            setAdapter(adapter);
        }
    }, [hostId, ref]);
    return (_jsx(_Fragment, { children: _jsx(Box, { sx: {
                '& .jp-LabShell': {
                    //            position: "relative",
                    height: 800,
                }
            }, children: _jsx("div", { ref: ref, id: hostId }) }) }));
};
App.defaultProps = {
    hostId: "app-example-id",
};
export default App;
//# sourceMappingURL=App.js.map