import { JupyterLab } from '@jupyterlab/application';
import { PageConfig } from '@jupyterlab/coreutils';
// The webpack public path needs to be set before loading the CSS assets.
global.__webpack_public_path__ = PageConfig.getOption('fullStaticUrl') + '/';
// const styles = import('./AppCss' as any) as Promise<any>;
import('./AppCss');
export class AppAdapter {
    _jupyterLab;
    constructor(props) {
        this.loadApp(props);
    }
    async loadApp(props) {
        const { hostId, extensions, mimeExtensions, extensionPromises, mimeExtensionsPromises } = props;
        //    await styles;
        const renderMimeExtensionResolved = await Promise.all(mimeExtensionsPromises);
        mimeExtensions.push(...renderMimeExtensionResolved);
        this._jupyterLab = new JupyterLab({ mimeExtensions });
        const extensionResolved = await Promise.all(extensionPromises);
        extensions.push(...extensionResolved);
        this._jupyterLab.registerPluginModules(extensions);
        //    await jupyterLab.start({ hostID: hostId });
        this._jupyterLab.start({ hostID: hostId });
        //    await jupyterLab.restored;
    }
    get jupyterLab() {
        return this._jupyterLab;
    }
}
export default AppAdapter;
//# sourceMappingURL=AppAdapter.js.map