import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import App from "../components/app/App";
import * as mainMenuExtension from '@jupyterlab/mainmenu-extension';
import * as applicationExtension from '@jupyterlab/application-extension';
import * as javascriptExtension from '@jupyterlab/javascript-extension';
const extensionsPromises = [
    //  import('@jupyterlab/application-extension'),
    //  import('@jupyterlab/mainmenu-extension'),
    import('@jupyterlab/apputils-extension'),
    import('@jupyterlab/codemirror-extension'),
    import('@jupyterlab/completer-extension'),
    import('@jupyterlab/console-extension'),
    import('@jupyterlab/docmanager-extension'),
    import('@jupyterlab/filebrowser-extension'),
    import('@jupyterlab/fileeditor-extension').then(plugins => plugins.default.filter(({ id }) => !(id.includes(':language-server') ||
        id.includes(':search')))),
    import('@jupyterlab/launcher-extension'),
    import('@jupyterlab/notebook-extension').then(plugins => {
        return plugins.default.filter(({ id }) => !(id.includes(':language-server') ||
            id.includes(':toc') ||
            id.includes(':update-raw-mimetype') ||
            id.includes(':search')));
    }),
    import('@jupyterlab/rendermime-extension'),
    import('@jupyterlab/shortcuts-extension'),
    import('@jupyterlab/statusbar-extension'),
    import('@jupyterlab/translation-extension'),
    import('@jupyterlab/ui-components-extension'),
    import('@jupyterlab/theme-light-extension'),
];
const mimeExtensionsPromises = [
    import('@jupyterlab/json-extension'),
];
const JupyterReactApp = () => (_jsx(App, { extensions: [
        applicationExtension,
        mainMenuExtension,
    ], mimeExtensions: [
        javascriptExtension,
    ], extensionPromises: extensionsPromises, mimeExtensionsPromises: mimeExtensionsPromises }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(Jupyter, { startDefaultKernel: false, disableCssLoading: false, children: [_jsx("h1", { children: "Jupyter React Application" }), _jsx(JupyterReactApp, {})] }));
//# sourceMappingURL=App.js.map