import React from 'react';
import { InjectableStore } from '../state/redux/Store';
/**
 * Definition of the properties that can be passed
 * when creating a Jupyter context.
 */
export type JupyterProps = {
    children: React.ReactNode;
    collaborative?: boolean;
    defaultKernelName: string;
    disableCssLoading?: boolean;
    injectableStore?: InjectableStore;
    jupyterServerHttpUrl?: string;
    jupyterServerWsUrl?: string;
    jupyterToken?: string;
    lite: boolean;
    startDefaultKernel: boolean;
    terminals?: boolean;
    theme?: any;
    useRunningKernelId?: string;
    useRunningKernelIndex?: number;
};
/**
 * The Jupyter context. This handles the needed initialization
 * and ensure the Redux and the Material UI theme providers
 * are available.
 */
export declare const Jupyter: {
    (props: JupyterProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: {
        collaborative: boolean;
        defaultKernelName: string;
        disableCssLoading: boolean;
        lite: boolean;
        startDefaultKernel: boolean;
        terminals: boolean;
        useRunningKernelIndex: number;
    };
};
export default Jupyter;
